Bug 1274270 - Time zone shown wrong when editing schedule
Time zone shown wrong when editing schedule
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Roman Blanco
Milan Falešník
:
: 1278410 (view as bug list)
Depends On:
Blocks: 1290192 1297005
  Show dependency treegraph
 
Reported: 2015-10-22 07:53 EDT by Martin Welk
Modified: 2016-01-08 12:08 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:39:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Welk 2015-10-22 07:53:34 EDT
Description of problem:
In CFME, I go to Configure -> Configuration and I create a schedule (if it matters, for a database backup). I change the time zone from GMT to (GMT+01:00) Vienna. After saving and re-opening the schedule, the time zone is still Vienna, but the starting time is shown in GMT.


Version-Release number of selected component (if applicable):
5.4.2.0.20150820153254_83e434d

How reproducible:
100% successful

Steps to Reproduce:
1. Go to Configure -> Configuration -> Schedules
2. Add a new schedule (for a database backup)
3. Set the timezone for this schedule to (GMT+01:00) Vienna.
4. Set the time and date.
5. Save the schedule.
6. Look into the "Settings Schedules" table: it's shown fine.
7. Edit the schedule that you just created
8. In Timer, the Time Zown is shown correctly (GMT+01:00) Vienna
9. In Timer/Starting Time it shows Vienna in brackets, but the time is two hours behind, which seems to be GMT

Actual results:
See above.

Expected results:
Time is shown in the chosen time zone.

Additional info:
Schedule is executed at he expected time. Seems just to be a display issue.
Comment 6 CFME Bot 2015-10-23 09:55:24 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/32b9cb23c0828f9daaff516d9cbec7e518bfa28d

commit 32b9cb23c0828f9daaff516d9cbec7e518bfa28d
Author:     Roman Blanco <rblanco@redhat.com>
AuthorDate: Fri Oct 23 15:07:09 2015 +0200
Commit:     Roman Blanco <rblanco@redhat.com>
CommitDate: Fri Oct 23 15:08:11 2015 +0200

    Fixed TimeZone issue in Schedules
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1274270

 app/controllers/ops_controller/settings/schedules.rb | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)
Comment 8 Milan Falešník 2015-11-06 05:45:29 EST
Reproduced in 5.4.2.0, verified fixed in 5.5.0.9
Comment 10 errata-xmlrpc 2015-12-08 08:39:27 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551
Comment 11 Tim Wade 2015-12-15 11:37:19 EST
*** Bug 1278410 has been marked as a duplicate of this bug. ***
Comment 12 Tim Wade 2015-12-15 11:38:35 EST
*** Bug 1290192 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.